import { http } from "@/utils/http";
// 部门
type addDept = {
  code: number;
  msg: string;
  data: boolean;
};
type addDeptList = {
  code: number;
  msg: string;
  data: Array<any>;
};
// 添加考核信息
export const postAddAssessment = data => {
  return http.request<addDept>("post", "/assessment/addAssessment", { data });
};
// 添加考核信息
export const postAddAssessmentObject = data => {
  return http.request<addDept>("post", "/assessment/addAssessmentObject", {
    data
  });
};
// 考核信息详情(考核对象)
export const getAssessmentObjectDetails = params => {
  return http.request<addDeptList>(
    "get",
    "/assessment/getAssessmentObjectDetails",
    {
      params
    }
  );
};
// 考核详情
export const getAssessmentDetails = params => {
  return http.request<addDept>("get", "/assessment/getAssessmentDetails", {
    params
  });
};
// 考核详情
export const updateAssessment = data => {
  return http.request<addDept>("post", "/assessment/updateAssessment", {
    data
  });
};
// 批量删除被考核人
export const delAssessmentObject = data => {
  return http.request<addDept>("post", "/assessment/delAssessmentObject", {
    data
  });
};
// 考核信息详情(考核指标)
export const getAssessmentQuotaDetails = params => {
  return http.request<addDeptList>(
    "get",
    "/assessment/getAssessmentQuotaDetails",
    {
      params
    }
  );
};
// 考核指标修改
export const updateAssessmentQuotaDetails = data => {
  return http.request<addDept>(
    "post",
    "/assessment/updateAssessmentQuotaDetails",
    {
      data
    }
  );
};
